> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corebanq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all roles

> Retrieve all available roles in the system



## OpenAPI

````yaml get /v1/rbac/roles
openapi: 3.0.0
info:
  title: RBAC API
  version: 1.0.0
  description: API for Role-Based Access Control management
servers: []
security:
  - bearerAuth: []
tags:
  - name: RBAC
    description: Role-Based Access Control operations
paths:
  /v1/rbac/roles:
    get:
      tags:
        - RBAC
      summary: Get all roles
      description: Retrieve all available roles in the system
      responses:
        '200':
          description: List of roles retrieved successfully
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Role'
components:
  schemas:
    Role:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        user_role_id:
          type: string
          format: uuid
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````